using FooTheory.UnityExample.BusinessRules.Interfaces.DataAccess;
using FooTheory.UnityExample.BusinessRules.Interfaces.Domain;
using FooTheory.UnityExample.BusinessRules.Interfaces.DTO;
using FooTheory.UnityExample.BusinessRules.Interfaces.Services;
using FooTheory.UnityExample.BusinessRules.Interfaces.Services.Mappers;

namespace FooTheory.UnityExample.BusinessRules.Services
{
    public class CustomerService : ICustomerService
    {
        private ICustomerRepository repository;
        private ICustomerDTOMapper mapper; 

        public CustomerService(ICustomerRepository repository, ICustomerDTOMapper mapper)
        {
            this.repository = repository;
            this.mapper = mapper;
        }

        #region ICustomerService Members

        public CustomerDTO GetACustomerFrom(int id)
        {
            return mapper.MapFrom(repository.GetFrom(id)); 
        }

        #endregion
    }
}