using System;
using System.Collections.Generic;
using System.Configuration;
using System.Text;
using FooTheory.UnityExample.BusinessRules.DataAccess;
using FooTheory.UnityExample.BusinessRules.Interfaces.DataAccess;
using FooTheory.UnityExample.BusinessRules.Interfaces.Services;
using FooTheory.UnityExample.BusinessRules.Interfaces.Services.Mappers;
using FooTheory.UnityExample.BusinessRules.Services;
using FooTheory.UnityExample.BusinessRules.Services.Mappers;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Unity.Configuration;

namespace FooTheory.UnityExample.ConsoleApp
{
    class Program
    {
        static void Main(string[] args)
        {

            #region Manual Configuration

            //IUnityContainer container = new UnityContainer()
            //.RegisterType<ICustomerRepository, CustomerRepository>()
            //.RegisterType<ICustomerDTOMapper, CustomerDTOMapper>()
            //.RegisterType<ICustomerService, CustomerService>();

            #endregion

            #region XML Configuration

            IUnityContainer container = new UnityContainer();
            UnityConfigurationSection section = (UnityConfigurationSection)ConfigurationManager.GetSection("unity");
            section.Containers.Default.Configure(container);

            #endregion


            ICustomerService service = container.Resolve<ICustomerService>();

            int customerId = 1;
            Console.WriteLine(service.GetACustomerFrom(customerId).Name);
            Console.ReadLine();
        }
    }
}